= form_for [@project, @merge_request], html: { class: "merge-request-form form-horizontal" } do |f|
  .row
    .col-sm-2
    .col-sm-10
      - if @repository.contribution_guide && !@merge_request.persisted?
        - contribution_guide_url = project_blob_path(@project, tree_join(@repository.root_ref, @repository.contribution_guide.name))
        .alert.alert-info
          = t("merge_request_section.please_review")
          %strong
            = link_to t('merge_request_section.guidelines_contribution'), contribution_guide_url
          = t("merge_request_section.to_this_repo")

      -if @merge_request.errors.any?
        .alert.alert-danger
          - @merge_request.errors.full_messages.each do |msg|
            %div= msg

  .merge-request-form-info
    .form-group
      = f.label :title, class: 'control-label' do
        %strong
          = t('merge_request_section.title') +  " *"
      .col-sm-10= f.text_field :title, class: "form-control pad js-gfm-input", maxlength: 255, rows: 5, required: true
    .form-group
      = f.label :description, t('merge_request_section.description'), class: 'control-label'
      .col-sm-10
        = f.text_area :description, class: "form-control js-gfm-input markdown-area", rows: 14
        .col-sm-12.hint
          .pull-left
            = t('merge_request_section.description_parsed')
            = link_to(t('merge_request_section.gitlab_markdown'), help_page_path("markdown", "markdown"), target: '_blank') + "."
          .pull-right
            = t('merge_request_section.attach_images') + " (JPG, PNG, GIF) " + t('merge_request_section.drag_drop')
            = link_to(t('merge_request_section.image_select'), '#', class: 'markdown-selector') + "."
        .clearfix
        .error-alert
    %hr
    .form-group
      .issue-assignee
        = f.label :assignee_id, class: 'control-label' do
          %i.icon-user
          = t('merge_request_section.assign_to')
        .col-sm-10
          = project_users_select_tag('merge_request[assignee_id]', placeholder: t('merge_request_section.select_user'), class: 'custom-form-control', selected: @merge_request.assignee_id)
          &nbsp;
          = link_to t('merge_request_section.assign_to_me'), '#', class: 'btn assign-to-me-link'
    .form-group
      .issue-milestone
        = f.label :milestone_id, class: 'control-label' do
          %i.icon-time
          = t('merge_request_section.milestone')
        .col-sm-10= f.select(:milestone_id, milestone_options(@merge_request), { include_blank: t('merge_request_section.milestone_select') }, {class: 'select2'})


    - if @merge_request.persisted? # Only allow labels on edit to avoid fork vs upstream repo labels issue
      .form-group
        = f.label :label_list, class: 'control-label' do
          %i.icon-tag
          = t('merge_request_section.labels')
        .col-sm-10
          = f.text_field :label_list, maxlength: 2000, class: "form-control"
          %p.hint
            = t('merge_request_section.separate_labels')

  .form-actions
    - if @merge_request.new_record?
      = f.submit t('merge_request_section.submit'), class: "btn btn-create"
    -else
      = f.submit t('merge_request_section.save_changes'), class: "btn btn-save"
    - if @merge_request.new_record?
      = link_to project_merge_requests_path(@source_project), class: "btn btn-cancel" do
        = t('merge_request_section.cancel')
    - else
      = link_to project_merge_request_path(@target_project, @merge_request), class: "btn btn-cancel" do
        = t('merge_request_section.cancel')

:javascript
  disableButtonIfEmptyField("#merge_request_title", ".btn-save");
  $('.assign-to-me-link').on('click', function(e){
    $('#merge_request_assignee_id').val("#{current_user.id}").trigger("change");
    e.preventDefault();
  });

  $("#merge_request_label_list")
    .bind( "keydown", function( event ) {
      if ( event.keyCode === $.ui.keyCode.TAB &&
        $( this ).data( "autocomplete" ).menu.active ) {
        event.preventDefault();
      }
    })
    .bind("click", function(event) {
      $(this).autocomplete("search", "");
    })
    .autocomplete({
      minLength: 0,
      source: function( request, response ) {
        response( $.ui.autocomplete.filter(
          #{raw labels_autocomplete_source}, extractLast( request.term ) ) );
      },
      focus: function() {
        return false;
      },
      select: function(event, ui) {
        var terms = split( this.value );
        terms.pop();
        terms.push( ui.item.value );
        terms.push( "" );
        this.value = terms.join( ", " );
        return false;
      }
    });

  window.project_image_path_upload = "#{upload_image_project_path @project}";
